%define version 4.5.1
%define release %mkrel 5
#%%define oname pclinuxos-gfxboot-theme

Summary: PCLinuxOS grub graphical boot theme
Name:    gfxboot-theme-pclinuxos
Version: %version
Release: %release
License: GPL 
Group: System/Boot and Init
URL: http://www.pclinuxos.com
Source: pclinuxos-gfxboot-theme-%{version}.tar.xz
#
Source1: back.jpg
Source2: welcome.jpg
Source3: timer_a.jpg
Source4: grub-gfxmenu
BuildRequires: perl-HTML-Parser
BuildRequires: gfxboot-devel
Requires(post): perl-Archive-Cpio
Obsoletes: %name < %version
Obsoletes: pclinuxos-gfxboot-theme
Provides: pclinuxos-gfxboot-theme = %version-%release


%description
This package provides the PCLinuxOS grub/ISO gfxboot theme.

%prep
%setup -q -n pclinuxos-gfxboot-theme-%{version}

# our jpegs:
install -m 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} data-install/
install -m 644 %{SOURCE1} %{SOURCE3} data-boot/

%build
PATH="$PATH:/usr/sbin" make

%install
dest=%{buildroot}%{_datadir}/gfxboot/themes/PCLinuxOS
install -d $dest/install $dest/boot
install bootlogo bootlogo.dir/* $dest/install/
install message $dest/boot/

# install grub-gfxmenu
install -d %{buildroot}%{_sbindir}
install %{SOURCE4} %{buildroot}%{_sbindir}


%pre
rm -f /usr/share/gfxboot/themes/current
rm -rf /usr/share/gfxboot/themes/PCLinuxOS

%posttrans
ln -fs /usr/share/gfxboot/themes/PCLinuxOS /usr/share/gfxboot/themes/current
%_sbindir/grub-gfxmenu --update-gfxmenu

%files
%_sbindir/*
%_datadir/gfxboot/themes/PCLinuxOS/


%changelog
* Wed Jul 27 2022 tex- 4.5.1-5pclos2022
- background to flat black with logo
